REPQUOTA(8)

NAME
repquota - summarize quotas for a filesystem

SYNOPSIS
/usr/sbin/repquota [ -vsiug ] [ -c | -C ] [ -t | -n ] [ -F format-name ] filesystem...

/usr/sbin/repquota [ -avtsiug ] [ -c | -C ] [ -t | -n ] [ -F format-name ]

DESCRIPTION

repquota prints a summary of the disc usage and quotas for the specified file systems. For each user the current number of files and amount of space (in kilobytes) is printed, along with any quotas created with edquota(8). As repquota has to translate ids of all users/groups to names (unless option -n was specified) it may take a while to print all the information. To make translating as fast as possible repquota tries to detect (by reading /etc/nsswitch.conf) whether entries are stored in standard plain text file or in database and either translates chunks of 1024 names or each name individually. You can override this autodetection by -c or -C options.

OPTIONS

-a  Report on all filesystems indicated in /etc/mtab to be read-write with quotas.

-v  Report all quotas, even if there is no usage. Be also more verbose about quotafile information.

-c  Cache entries to report and translate uids/gids to names in big chunks by scanning all users (default). This is good (fast) behaviour when using /etc/passwd file.

-C  Translate individual entries. This is faster when you have users stored in database.

-t  Truncate user/group names longer than 9 characters. This results in nicer output when there are such names.

-n  Don't resolve UIDs/GIDs to names. This can speedup printing a lot.

-s  Try to report used space, number of used inodes and limits in more appropriate units than the default ones.

-i  Ignore mountpoints mounted by automounter.

-F format-name
    Report quota for specified format (ie. don't perform format autodetection). Possible format names are: vfsold (version 1 quota), vfsv0 (version 2 quota), xfs (quota on XFS filesystem)

-g  Report quotas for groups.

-u  Report quotas for users. This is the default.

Only the super-user may view quotas which are not their own.

FILES
aquota.user or aquota.group
    quota file at the filesystem root (version 2 quota, non-XFS filesystems)
quota.user or quota.group
    quota file at the filesystem root (version 1 quota, non-XFS filesystems)
/etc/mtab
    default filesystems
/etc/passwd
    default set of users
/etc/group
    default set of groups

SEE ALSO
quota(1), quotactl(2), edquota(8), quotacheck(8), quotaon(8), setquota(8)